Subject: [PATCH v3 0/8] arm64: rockchip: Initial GeekBox enablement

From: [email-masked] (Giuseppe CAVALLARO)
Date: Thu, 10 Mar 2016 10:13:15 +0100

On 3/9/2016 5:31 PM, Dinh Nguyen wrote:
> On Wed, Mar 9, 2016 at 8:53 AM, Giuseppe CAVALLARO
> <[email-masked]> wrote:
>> Hi Tomeu, Dinh, Andreas
>>
>> I need a sum and help from you to go ahead on the
>> tx timeout.
>>
>> The "stmmac: MDIO fixes" seems to be the candidate to
>> fix the phy connection and I will send the V2 asap (Andreas' comment).
>>
>> So, supposing the probe is ok and phy is connected,
>> I need your input ...
>>
>>   Tomeu: after revering the 0e80bdc9a72d (stmmac: first frame
>>          prep at the end of xmit routine) the network is
>>          not stable and there is a timeout after a while.
>>          The box has 3.50 with normal desc settings.
>>
>>   Dinh: the network is ok, I wonder if you can share a boot
>>         log just to understand if the normal or enhanced
>>         descriptors are used.
>>
>
> Here it is:
...
> [    0.850523] stmmac - user ID: 0x10, Synopsys ID: 0x37
> [    0.855570]  Ring mode enabled
> [    0.858611]  DMA HW capability register supported
> [    0.863128]  Enhanced/Alternate descriptors
> [    0.867482]  Enabled extended descriptors
> [    0.871482]  RX Checksum Offload Engine supported (type 2)
> [    0.876948]  TX Checksum insertion supported
> [    0.881204]  Enable RX Mitigation via HW Watchdog Timer
> [    0.886863] socfpga-dwmac ff702000.ethernet eth0: No MDIO subnode found
> [    0.899090] libphy: stmmac: probed
> [    0.902484] eth0: PHY ID 00221611 at 4 IRQ POLL (stmmac-0:04) active

Thx Dinh, so you are using the Enhanced/Alternate descriptors
I am debugging on my side on a setup with normal descriptors, I let you
know

peppe